httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Steffen <i...@apachelounge.com>
Subject Re: 2.2 and 2.4 and 2.6/3.0
Date Wed, 27 May 2015 20:50:14 GMT
Here at AL quite a lot sticking with 2.2 because third-party modules which are not available
with 2.4. Like mod-perl etc. 



> Op 27 mei 2015 om 22:42 heeft Stefan Eissing <stefan.eissing@greenbytes.de> het
volgende geschreven:
> 
> Not wanting to boast, but maybe mod_h2 for httpd 2.4 can play a role in motivating people
to migrate away from 2.2. 
> 
> I have not looked into having it work on 2.2 and no interest in doing so. If we get the
ALPN support into 2.4.13, mod_h2 can be just "dropped in" to such a server. And distros will
have an incentive to include it.
> 
> In what amount that might influence 2.2 migrations, probably no one can foretell. And
I have not the insight to what all others reasons for migration are, not knowing enough about
the differences myself. I just want to point out that it can be one selling point among others.
> 
> As to how to sell it: I have made some performance tests and published some numbers based
on my single dev installation. It could certainly help to get some more numbers in a more
real world like env to either have a story to tell - or find out what still needs to be done.
> 
> What is floating around in the net are numbers from eithers servers no one can install
(google) or servers that focus on http2 like h2o or nghttpd. But those are not general purpose
servers, serve often only static files and sometimes even fail under load. I'm not saying
they are bad implementations (far from it), there just not in the domain as httpd.
> 
> cheers, Stefan
> 
> 
> 
>> Am 27.05.2015 um 19:26 schrieb Jeff Trawick <trawick@gmail.com>:
>> 
>> one thing it means is having compelling stories involving the latest hot tech that
use 2.4

Mime
View raw message